Bug 1122604 - java-1.7.0-oracle-plugin-1.7.0.65-1jpp.2.el5_10 does not work under RHEL5 (wrong glibc)
Summary: java-1.7.0-oracle-plugin-1.7.0.65-1jpp.2.el5_10 does not work under RHEL5 (wr...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: java-1.7.0-oracle
Version: 5.10
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Deepak Bhole
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 15:12 UTC by Lee Whatley
Modified: 2019-07-11 08:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-18 22:04:52 UTC


Attachments (Terms of Use)

Description Lee Whatley 2014-07-23 15:12:34 UTC
Description of problem:

The latest version (as of 07/23/14) of java-1.7.0-oracle-plugin for RHEL5 does not work under RHEL5, as it appears that it was compiled/linked against a version of GLIBC that is not compatible with RHEL5. 


Version-Release number of selected component (if applicable):

java-1.7.0-oracle-plugin-1.7.0.65-1jpp.2.el5_10


How reproducible:
always


Steps to Reproduce:
1.yum install firefox java-1.7.0-oracle java-1.7.0-oracle-plugin
2. firefox


Actual results:

$ firefox LoadPlugin: failed to initialize shared library /usr/lib/jvm/java-1.7.0-oracle-1.7.0.65.x86_64/jre/lib/amd64/libnpjp2.so [/usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /usr/lib/jvm/java-1.7.0-oracle-1.7.0.65.x86_64/jre/lib/amd64/libnpjp2.so)]

Expected results:

Firefox successfully loads the java plugin

Additional info:

I realize that Oracle java is technically unsupported by Red Hat, but it's silly to have a package in a RHEL5 software channel that does not actually work in RHEL5.  If the resources are not available to rebuild the package then it would probably be best to remove java-1.7.0-oracle-plugin from the RHEL5 "third-party-oracle" software channel all together and issue a statement saying that it will no longer be available.

Comment 1 RHEL Product and Program Management 2014-08-26 11:47:48 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 5 Chris Williams 2017-04-18 22:04:52 UTC
Red Hat Enterprise Linux 5 shipped it's last minor release, 5.11, on September 14th, 2014. On March 31st, 2017 RHEL 5 exited Production Phase 3 and entered Extended Life Phase. For RHEL releases in the Extended Life Phase, Red Hat  will provide limited ongoing technical support. No bug fixes, security fixes, hardware enablement or root-cause analysis will be available during this phase, and support will be provided on existing installations only.  If the customer purchases the Extended Life-cycle Support (ELS), certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release will be provided.  For more details please consult the Red Hat Enterprise Linux Life Cycle Page:
https://access.redhat.com/support/policy/updates/errata

This BZ does not appear to meet ELS criteria so is being closed WONTFIX. If this BZ is critical for your environment and you have an Extended Life-cycle Support Add-on entitlement, please open a case in the Red Hat Customer Portal, https://access.redhat.com ,provide a thorough business justification and ask that the BZ be re-opened for consideration of an errata. Please note, only certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release can be considered.


Note You need to log in before you can comment on or make changes to this bug.